Delete an agent policy

Base URL
https://{kibana_url}
  • POST /api/fleet/agent_policies/delete
  • POST /s/{space_id}/api/fleet/agent_policies/delete
Auth

Delete an agent policy by ID.

Required privileges

Privileges fleet-agent-policies-all

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

agentPolicyId string required

The ID of the agent policy

force boolean

bypass validation checks that can prevent agent policy deletion

Responses

Successful response

application/json
id string required
name string required
Base URL
https://{kibana_url}